

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 lib/string.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN lib/string.c~create-a-kstrdup-library-function-fixes lib/string.c
--- 25/lib/string.c~create-a-kstrdup-library-function-fixes	2005-05-03 16:14:21.000000000 -0700
+++ 25-akpm/lib/string.c	2005-05-03 16:14:21.000000000 -0700
@@ -612,10 +612,11 @@ EXPORT_SYMBOL(memchr);
  */
 char *kstrdup(const char *s, int gfp)
 {
-	int len;
+	size_t len;
 	char *buf;
 
-	if (!s) return NULL;
+	if (!s)
+		return NULL;
 
 	len = strlen(s) + 1;
 	buf = kmalloc(len, gfp);
@@ -623,3 +624,4 @@ char *kstrdup(const char *s, int gfp)
 		memcpy(buf, s, len);
 	return buf;
 }
+EXPORT_SYMBOL(kstrdup);
_
